Designing of Dome

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
User avatar
Shalmeneser
Veteran
Posts: 9474
Joined: Wed Dec 23, 2020 12:04 am
Location: Fr

Re: Designing of Dome

Post by Shalmeneser »

Code: Select all

 └ Body (Body)
    ├ Revolution (Revolution)       <- Dome
    │  └ Sketch (Sketch)
    ├ Pad (Pad)                         <- Inside
    │  └ Sketch002 (Sketch)
    ├ Mirrored (Mirrored)              <- ×2
    ├ Groove (Groove)            <- cut the inside outside (!)  the dome
    │  └ Sketch004 (Sketch)
    ├ Pad001 (Pad)                  <- foot
    │  └ Sketch003 (Sketch)
    ├ PolarPattern (PolarPattern)   <- ×6
    └ Pocket (Pocket)                     <- rectangular hole
       └ Sketch001 (Sketch)
Attachments
Capture du 2021-10-28 22-30-48.png
Capture du 2021-10-28 22-30-48.png (114.25 KiB) Viewed 630 times
Capture du 2021-10-28 22-31-11.png
Capture du 2021-10-28 22-31-11.png (122.14 KiB) Viewed 630 times
Dome 550 _SHALM.FCStd
(202.08 KiB) Downloaded 13 times
domad
Veteran
Posts: 2051
Joined: Mon Jun 22, 2020 12:16 pm

Re: Designing of Dome

Post by domad »

Greetings to the Community!
.... one of the many ways to model it ... I think it looks a bit like it
Attachments
sensor_cradle.FCStd
(351.54 KiB) Downloaded 20 times
sensor_cradle.png
sensor_cradle.png (444.18 KiB) Viewed 618 times
johnlongland
Posts: 13
Joined: Mon May 04, 2020 7:41 pm

Re: Designing of Dome

Post by johnlongland »

Shalmeneser wrote: Thu Oct 28, 2021 7:43 pm
johnlongland wrote: Thu Oct 28, 2021 7:35 pm In my original post I have placed my experience at 3/10 ..... maybe I need to take that back to 1/10 !!!!!
I still have a lot to learn !

So true .... so true !!!!!!
User avatar
onekk
Veteran
Posts: 6144
Joined: Sat Jan 17, 2015 7:48 am
Contact:

Re: Designing of Dome

Post by onekk »

Yes scripting could be very powerful, as it can do complex things, without having to think about complexity.

every improvement are permitted, even with complex things.

Once achieved a step you could ever save the file, rename and starting incrementing complexity.

If you learn to think parametric, you could also model an entire new model, simply modifying one or two parameters.

in the example:

Code: Select all

thick = 2
r1 = 50
r2 = r1 - thick
You could see how the internal diameter is a function of r1 and thick, so you can always modify the diameter or the dome thickness without to recalculate r2 (internal diameter).

Obviously this is a rough way, as maybe in real project you have to state internal diameter (to accomodate maybe electronics) and leve the external diameter depending on thickness.

Similar:

Code: Select all

wall_th = 2

wall = Part.makeBox(wall_th, r1 * 2, r1 * 0.95)
wall.Placement = FreeCAD.Placement(Vector(wall_th * -0.50, r1 * -1, 0), ROT0)

I have guessed a Z height using the external diameter using a factor, without considering the real thickness, but as this wall is simply a square wall that has to be cut by the third sphere that uses "middle diameter" to make a fusion with the dome, I have cheated a little.

Example was more important than precision in this case.

You could even design all the walls, as a polygonal and then use an offset (to obtain the "horizhontal thickness") and extrude (to obtain the height)

and then cut the resulting solid using "cube.cut(middle_dome)" if you pass me the hybrid code to explain the real operation.

in your case as "internal reinforcement" seems to have a limited height, you could have fixed the Z height and then cut the part that execeed with the "cube.cut(middle_dome)" .

In the code there is some commented out code to make a "section cut" to check thickness and maybe intersections.

This way keep you safe also from some problem with complex models, when you have to modify maybe tens if not hundreds of parts, FreeCAD will simply recalculate them when you run the modified script.

Similar things could be achieved using a Spreadsheet to pass parametric data to the model, but scripting is more compact and safe, as script are simply text files, compact and rather small.

Downside is that you have to learn "Python" and the appropriate calls to FreeCAD methods, but it is not a "big job".

Sorry if this post has been boring.

Regards

Carlo D.
GitHub page: https://github.com/onekk/freecad-doc.
- In deep articles on FreeCAD.
- Learning how to model with scripting.
- Various other stuffs.

Blog: https://okkmkblog.wordpress.com/
User avatar
papyblaise
Veteran
Posts: 7867
Joined: Thu Jun 13, 2019 4:28 pm
Location: France

Re: Designing of Dome

Post by papyblaise »

I come back to my first answer because the internal wall does not join the top of the dome
you first draw the internal wall (one side) the fixing holes, or to lighten or to look pretty
you cut it spherical with a grove (spherical)
you cut the outer ears and its holes
you have a half-dome, you make a miror (if it is symmetrical)
Attachments
dôme.FCStd
(237.03 KiB) Downloaded 17 times
dôme.PNG
dôme.PNG (41.9 KiB) Viewed 516 times
johnlongland
Posts: 13
Joined: Mon May 04, 2020 7:41 pm

Re: Designing of Dome

Post by johnlongland »

Good day all

I am humbled by all your assistance. I have been spending the afternoon so far exploring some of these options.
And in the process learning as I go along. Bumping my head here and there, but these are FC-type issues and if
I don't get them right I shall ask another question.

But more importantly ..... in moving from rectangular objects to this curved example, has forced me to look
at other approaches ( or is a better name perhaps "workflow" ?? ) Not that these dont apply to rectangular objects.
Its just that this new example has forced my into using them. I hope i'm making sense here !!!

Anyway, I won't raise my "experience-count" to soon again !!!! :-)

best regards
Post Reply